Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt
Interface Mask

All Superinterfaces:
  java.awt.image.renderable.RenderableImage

public interface Mask
extends java.awt.image.renderable.RenderableImage

Describes a mask.

Field Summary

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Method Summary
`java.awt.geom.Rectangle2D` | `getBounds2D()` Returns the bounds of this mask.

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Method Detail

### getBounds2D

    public java.awt.geom.Rectangle2D getBounds2D()

  Returns the bounds of this mask.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.